ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.43 by root, Mon Dec 20 16:47:14 2004 UTC vs.
Revision 1.48 by root, Tue Jan 18 01:31:44 2005 UTC

465#endif 465#endif
466#if HAVE_UNISTD_H 466#if HAVE_UNISTD_H
467# include <unistd.h> 467# include <unistd.h>
468#endif" 468#endif"
469 469
470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
471ac_subst_files='MCOMMON' 471ac_subst_files='MCOMMON'
472 472
473# Initialize some variables set by options. 473# Initialize some variables set by options.
474ac_init_help= 474ac_init_help=
475ac_init_version=false 475ac_init_version=false
1057 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 1057 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
1058 --enable-strings enable some replacement system functions 1058 --enable-strings enable some replacement system functions
1059 --disable-swapscreen disable swap screen support 1059 --disable-swapscreen disable swap screen support
1060 --enable-iso14755 enable support for extended ISO 14755 modes 1060 --enable-iso14755 enable support for extended ISO 14755 modes
1061 --enable-frills enable support for rarely used features 1061 --enable-frills enable support for rarely used features
1062 --enable-linespace enable support for linespace
1063 --enable-24bit enable support for using 24bit visuals if available 1062 --enable-24bit enable support for using 24bit visuals if available
1064 --enable-keepscrolling enable continual scrolling on scrollbar arrow press 1063 --enable-keepscrolling enable continual scrolling on scrollbar arrow press
1065 --enable-selectionscrolling enable scrolling during selections 1064 --enable-selectionscrolling enable scrolling during selections
1066 --enable-mousewheel enable scrolling via mouse wheel or buttons 4 & 5 1065 --enable-mousewheel enable scrolling via mouse wheel or buttons 4 & 5
1067 --enable-slipwheeling enable slip wheel scrolling (requires previous) 1066 --enable-slipwheeling enable slip wheel scrolling (requires previous)
1566ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure. 1565ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
1567 1566
1568 ac_config_headers="$ac_config_headers config.h:autoconf/config.h.in" 1567 ac_config_headers="$ac_config_headers config.h:autoconf/config.h.in"
1569 1568
1570 1569
1570# Make sure we can run config.sub.
1571$ac_config_sub sun4 >/dev/null 2>&1 ||
1572 { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
1573echo "$as_me: error: cannot run $ac_config_sub" >&2;}
1574 { (exit 1); exit 1; }; }
1575
1576echo "$as_me:$LINENO: checking build system type" >&5
1577echo $ECHO_N "checking build system type... $ECHO_C" >&6
1578if test "${ac_cv_build+set}" = set; then
1579 echo $ECHO_N "(cached) $ECHO_C" >&6
1580else
1581 ac_cv_build_alias=$build_alias
1582test -z "$ac_cv_build_alias" &&
1583 ac_cv_build_alias=`$ac_config_guess`
1584test -z "$ac_cv_build_alias" &&
1585 { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
1586echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
1587 { (exit 1); exit 1; }; }
1588ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
1589 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
1590echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
1591 { (exit 1); exit 1; }; }
1592
1593fi
1594echo "$as_me:$LINENO: result: $ac_cv_build" >&5
1595echo "${ECHO_T}$ac_cv_build" >&6
1596build=$ac_cv_build
1597build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
1598build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
1599build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
1600
1601
1602echo "$as_me:$LINENO: checking host system type" >&5
1603echo $ECHO_N "checking host system type... $ECHO_C" >&6
1604if test "${ac_cv_host+set}" = set; then
1605 echo $ECHO_N "(cached) $ECHO_C" >&6
1606else
1607 ac_cv_host_alias=$host_alias
1608test -z "$ac_cv_host_alias" &&
1609 ac_cv_host_alias=$ac_cv_build_alias
1610ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
1611 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
1612echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
1613 { (exit 1); exit 1; }; }
1614
1615fi
1616echo "$as_me:$LINENO: result: $ac_cv_host" >&5
1617echo "${ECHO_T}$ac_cv_host" >&6
1618host=$ac_cv_host
1619host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
1620host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
1621host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
1622
1623
1624
1571VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1625VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1572DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1626DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1573LSMDATE=`sed -n -e 's/^.*[ \t]LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1627LSMDATE=`sed -n -e 's/^.*[ \t]LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1574LIBVERSION=`sed -n -e 's/^.*[ \t]LIBVERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1628LIBVERSION=`sed -n -e 's/^.*[ \t]LIBVERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1575echo "" 1629echo ""
3211ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3265ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3212ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 3266ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3213ac_compiler_gnu=$ac_cv_c_compiler_gnu 3267ac_compiler_gnu=$ac_cv_c_compiler_gnu
3214 3268
3215 3269
3270if test -z "$orig_CXXFLAGS"; then
3271 CXXFLAGS='-O'
3272 if test x$GCC = xyes && test "x$GXX" = xyes; then
3273 CXXFLAGS="-g -O3"
3274 fi
3275 CFLAGS="$CXXFLAGS"
3276fi
3277
3216LINKER="$CXX" 3278LINKER="$CXX"
3217if test x$GCC = xyes && test x$GXX = xyes; then 3279if test x$GCC = xyes && test x$GXX = xyes; then
3218 3280
3219echo "$as_me:$LINENO: checking for main in -lsupc++" >&5 3281echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3220echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6 3282echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3282 3344
3283fi 3345fi
3284LINKER=$LINKER 3346LINKER=$LINKER
3285 3347
3286 3348
3287CPPFLAGS="-D_GNU_SOURCE -D_XOPEN_SOURCE=2" 3349
3350cat >>confdefs.h <<\_ACEOF
3351#define _GNU_SOURCE 1
3352_ACEOF
3353
3354
3355case $host in
3356 *-*-solaris* )
3357
3358cat >>confdefs.h <<\_ACEOF
3359#define _XOPEN_SOURCE_EXTENDED 1
3360_ACEOF
3361
3362
3363cat >>confdefs.h <<\_ACEOF
3364#define _XOPEN_SOURCE 2
3365_ACEOF
3366
3367
3368cat >>confdefs.h <<\_ACEOF
3369#define __EXTENSIONS__ 1
3370_ACEOF
3371
3372 ;;
3373esac
3288 3374
3289 3375
3290ac_ext=cc 3376ac_ext=cc
3291ac_cpp='$CXXCPP $CPPFLAGS' 3377ac_cpp='$CXXCPP $CPPFLAGS'
3292ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3378ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3960 ;; 4046 ;;
3961esac 4047esac
3962else 4048else
3963 enable_fast_install=yes 4049 enable_fast_install=yes
3964fi; 4050fi;
3965# Make sure we can run config.sub.
3966$ac_config_sub sun4 >/dev/null 2>&1 ||
3967 { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
3968echo "$as_me: error: cannot run $ac_config_sub" >&2;}
3969 { (exit 1); exit 1; }; }
3970
3971echo "$as_me:$LINENO: checking build system type" >&5
3972echo $ECHO_N "checking build system type... $ECHO_C" >&6
3973if test "${ac_cv_build+set}" = set; then
3974 echo $ECHO_N "(cached) $ECHO_C" >&6
3975else
3976 ac_cv_build_alias=$build_alias
3977test -z "$ac_cv_build_alias" &&
3978 ac_cv_build_alias=`$ac_config_guess`
3979test -z "$ac_cv_build_alias" &&
3980 { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
3981echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
3982 { (exit 1); exit 1; }; }
3983ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
3984 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
3985echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
3986 { (exit 1); exit 1; }; }
3987
3988fi
3989echo "$as_me:$LINENO: result: $ac_cv_build" >&5
3990echo "${ECHO_T}$ac_cv_build" >&6
3991build=$ac_cv_build
3992build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
3993build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
3994build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
3995
3996
3997echo "$as_me:$LINENO: checking host system type" >&5
3998echo $ECHO_N "checking host system type... $ECHO_C" >&6
3999if test "${ac_cv_host+set}" = set; then
4000 echo $ECHO_N "(cached) $ECHO_C" >&6
4001else
4002 ac_cv_host_alias=$host_alias
4003test -z "$ac_cv_host_alias" &&
4004 ac_cv_host_alias=$ac_cv_build_alias
4005ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
4006 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
4007echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
4008 { (exit 1); exit 1; }; }
4009
4010fi
4011echo "$as_me:$LINENO: result: $ac_cv_host" >&5
4012echo "${ECHO_T}$ac_cv_host" >&6
4013host=$ac_cv_host
4014host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
4015host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
4016host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
4017
4018
4019 4051
4020# Check whether --with-gnu-ld or --without-gnu-ld was given. 4052# Check whether --with-gnu-ld or --without-gnu-ld was given.
4021if test "${with_gnu_ld+set}" = set; then 4053if test "${with_gnu_ld+set}" = set; then
4022 withval="$with_gnu_ld" 4054 withval="$with_gnu_ld"
4023 test "$withval" = no || with_gnu_ld=yes 4055 test "$withval" = no || with_gnu_ld=yes
5238# Some flags need to be propagated to the compiler or linker for good 5270# Some flags need to be propagated to the compiler or linker for good
5239# libtool support. 5271# libtool support.
5240case "$host" in 5272case "$host" in
5241*-*-irix6*) 5273*-*-irix6*)
5242 # Find out which ABI we are using. 5274 # Find out which ABI we are using.
5243 echo '#line 5243 "configure"' > conftest.$ac_ext 5275 echo '#line 5275 "configure"' > conftest.$ac_ext
5244 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 5276 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5245 (eval $ac_compile) 2>&5 5277 (eval $ac_compile) 2>&5
5246 ac_status=$? 5278 ac_status=$?
5247 echo "$as_me:$LINENO: \$? = $ac_status" >&5 5279 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5248 (exit $ac_status); }; then 5280 (exit $ac_status); }; then
5789# builds. 5821# builds.
5790chmod -w . 5822chmod -w .
5791save_CFLAGS="$CFLAGS" 5823save_CFLAGS="$CFLAGS"
5792CFLAGS="$CFLAGS -o out/conftest2.$ac_objext" 5824CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
5793compiler_c_o=no 5825compiler_c_o=no
5794if { (eval echo configure:5794: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then 5826if { (eval echo configure:5826: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
5795 # The compiler can only warn and ignore the option if not recognized 5827 # The compiler can only warn and ignore the option if not recognized
5796 # So say no if there are warnings 5828 # So say no if there are warnings
5797 if test -s out/conftest.err; then 5829 if test -s out/conftest.err; then
5798 compiler_c_o=no 5830 compiler_c_o=no
5799 else 5831 else
7405 lt_cv_dlopen_self=cross 7437 lt_cv_dlopen_self=cross
7406else 7438else
7407 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 7439 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7408 lt_status=$lt_dlunknown 7440 lt_status=$lt_dlunknown
7409 cat > conftest.$ac_ext <<EOF 7441 cat > conftest.$ac_ext <<EOF
7410#line 7410 "configure" 7442#line 7442 "configure"
7411#include "confdefs.h" 7443#include "confdefs.h"
7412 7444
7413#if HAVE_DLFCN_H 7445#if HAVE_DLFCN_H
7414#include <dlfcn.h> 7446#include <dlfcn.h>
7415#endif 7447#endif
7503 lt_cv_dlopen_self_static=cross 7535 lt_cv_dlopen_self_static=cross
7504else 7536else
7505 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 7537 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7506 lt_status=$lt_dlunknown 7538 lt_status=$lt_dlunknown
7507 cat > conftest.$ac_ext <<EOF 7539 cat > conftest.$ac_ext <<EOF
7508#line 7508 "configure" 7540#line 7540 "configure"
7509#include "confdefs.h" 7541#include "confdefs.h"
7510 7542
7511#if HAVE_DLFCN_H 7543#if HAVE_DLFCN_H
7512#include <dlfcn.h> 7544#include <dlfcn.h>
7513#endif 7545#endif
8234 8266
8235 8267
8236MALLOC_TYPE=S 8268MALLOC_TYPE=S
8237support_addstrings=no 8269support_addstrings=no
8238support_frills=no 8270support_frills=no
8239support_linespace=no
8240support_inheritpixmap=no 8271support_inheritpixmap=no
8241support_tinting=no 8272support_tinting=no
8242support_fading=no 8273support_fading=no
8243support_keepscrolling=no 8274support_keepscrolling=no
8244support_selectionscrolling=no 8275support_selectionscrolling=no
8280if test "${enable_everything+set}" = set; then 8311if test "${enable_everything+set}" = set; then
8281 enableval="$enable_everything" 8312 enableval="$enable_everything"
8282 if test x$enableval = xyes; then 8313 if test x$enableval = xyes; then
8283 support_24bit=yes 8314 support_24bit=yes
8284 support_frills=yes 8315 support_frills=yes
8285 support_linespace=yes
8286 support_inheritpixmap=yes 8316 support_inheritpixmap=yes
8287 support_tinting=yes 8317 support_tinting=yes
8288 support_fading=yes 8318 support_fading=yes
8289 support_keepscrolling=yes 8319 support_keepscrolling=yes
8290 support_selectionscrolling=yes 8320 support_selectionscrolling=yes
8631 if test x$enableval = xyes -o x$enableval = xno; then 8661 if test x$enableval = xyes -o x$enableval = xno; then
8632 support_frills=$enableval 8662 support_frills=$enableval
8633 fi 8663 fi
8634fi; 8664fi;
8635 8665
8636# Check whether --enable-linespace or --disable-linespace was given.
8637if test "${enable_linespace+set}" = set; then
8638 enableval="$enable_linespace"
8639 if test x$enableval = xyes -o x$enableval = xno; then
8640 support_linespace=$enableval
8641 fi
8642fi;
8643
8644# Check whether --enable-24bit or --disable-24bit was given. 8666# Check whether --enable-24bit or --disable-24bit was given.
8645if test "${enable_24bit+set}" = set; then 8667if test "${enable_24bit+set}" = set; then
8646 enableval="$enable_24bit" 8668 enableval="$enable_24bit"
8647 if test x$enableval = xyes -o x$enableval = xno; then 8669 if test x$enableval = xyes -o x$enableval = xno; then
8648 support_24bit=$enableval 8670 support_24bit=$enableval
8769 8791
8770cat >>confdefs.h <<\_ACEOF 8792cat >>confdefs.h <<\_ACEOF
8771#define PROTOTYPES 1 8793#define PROTOTYPES 1
8772_ACEOF 8794_ACEOF
8773 8795
8774
8775if test -z "$CFLAGS"; then
8776 if test -z "$CCOPTS"; then
8777 CCOPTS='-O'
8778 fi
8779 CFLAGS="$CCOPTS"
8780fi
8781 8796
8782# Extract the first word of "mv", so it can be a program name with args. 8797# Extract the first word of "mv", so it can be a program name with args.
8783set dummy mv; ac_word=$2 8798set dummy mv; ac_word=$2
8784echo "$as_me:$LINENO: checking for $ac_word" >&5 8799echo "$as_me:$LINENO: checking for $ac_word" >&5
8785echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 8800echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
10966 10981
10967 10982
10968 10983
10969 10984
10970 10985
10986
10971for ac_header in \ 10987for ac_header in \
10972 assert.h \ 10988 assert.h \
10973 fcntl.h \ 10989 fcntl.h \
10974 grp.h \ 10990 grp.h \
10975 libc.h \ 10991 libc.h \
10987 sys/stropts.h \ 11003 sys/stropts.h \
10988 sys/time.h \ 11004 sys/time.h \
10989 utmp.h \ 11005 utmp.h \
10990 utmpx.h \ 11006 utmpx.h \
10991 stdint.h \ 11007 stdint.h \
11008 pty.h \
10992 11009
10993do 11010do
10994as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 11011as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10995if eval "test \"\${$as_ac_Header+set}\" = set"; then 11012if eval "test \"\${$as_ac_Header+set}\" = set"; then
10996 echo "$as_me:$LINENO: checking for $ac_header" >&5 11013 echo "$as_me:$LINENO: checking for $ac_header" >&5
15997cat >>confdefs.h <<\_ACEOF 16014cat >>confdefs.h <<\_ACEOF
15998#define ENABLE_FRILLS 1 16015#define ENABLE_FRILLS 1
15999_ACEOF 16016_ACEOF
16000 16017
16001fi 16018fi
16002if test x$support_linespace = xno; then
16003
16004cat >>confdefs.h <<\_ACEOF
16005#define NO_LINESPACE 1
16006_ACEOF
16007
16008fi
16009if test x$support_24bit = xyes; then 16019if test x$support_24bit = xyes; then
16010 16020
16011cat >>confdefs.h <<\_ACEOF 16021cat >>confdefs.h <<\_ACEOF
16012#define PREFER_24BIT 1 16022#define PREFER_24BIT 1
16013_ACEOF 16023_ACEOF
16290 include_time_h="#include <time.h>" 16300 include_time_h="#include <time.h>"
16291else 16301else
16292 include_time_h="/* #include <time.h> */" 16302 include_time_h="/* #include <time.h> */"
16293fi 16303fi
16294 16304
16295 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h W11/Makefile" 16305 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h"
16296 16306
16297cat >confcache <<\_ACEOF 16307cat >confcache <<\_ACEOF
16298# This file is a shell script that caches the results of configure 16308# This file is a shell script that caches the results of configure
16299# tests run on this system so they can be shared between configure 16309# tests run on this system so they can be shared between configure
16300# scripts and configure runs, see configure's option --config-cache. 16310# scripts and configure runs, see configure's option --config-cache.
16823 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; 16833 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
16824 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;; 16834 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
16825 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;; 16835 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
16826 "src/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test/Makefile" ;; 16836 "src/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test/Makefile" ;;
16827 "src/rxvtlib.h" ) CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;; 16837 "src/rxvtlib.h" ) CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;;
16828 "W11/Makefile" ) CONFIG_FILES="$CONFIG_FILES W11/Makefile" ;;
16829 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:autoconf/config.h.in" ;; 16838 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:autoconf/config.h.in" ;;
16830 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 16839 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
16831echo "$as_me: error: invalid argument: $ac_config_target" >&2;} 16840echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
16832 { (exit 1); exit 1; }; };; 16841 { (exit 1); exit 1; }; };;
16833 esac 16842 esac
16909s,@DEFS@,$DEFS,;t t 16918s,@DEFS@,$DEFS,;t t
16910s,@ECHO_C@,$ECHO_C,;t t 16919s,@ECHO_C@,$ECHO_C,;t t
16911s,@ECHO_N@,$ECHO_N,;t t 16920s,@ECHO_N@,$ECHO_N,;t t
16912s,@ECHO_T@,$ECHO_T,;t t 16921s,@ECHO_T@,$ECHO_T,;t t
16913s,@LIBS@,$LIBS,;t t 16922s,@LIBS@,$LIBS,;t t
16923s,@build@,$build,;t t
16924s,@build_cpu@,$build_cpu,;t t
16925s,@build_vendor@,$build_vendor,;t t
16926s,@build_os@,$build_os,;t t
16927s,@host@,$host,;t t
16928s,@host_cpu@,$host_cpu,;t t
16929s,@host_vendor@,$host_vendor,;t t
16930s,@host_os@,$host_os,;t t
16914s,@VERSION@,$VERSION,;t t 16931s,@VERSION@,$VERSION,;t t
16915s,@DATE@,$DATE,;t t 16932s,@DATE@,$DATE,;t t
16916s,@LSMDATE@,$LSMDATE,;t t 16933s,@LSMDATE@,$LSMDATE,;t t
16917s,@LIBVERSION@,$LIBVERSION,;t t 16934s,@LIBVERSION@,$LIBVERSION,;t t
16918s,@CC@,$CC,;t t 16935s,@CC@,$CC,;t t
16931s,@INSTALL_DATA@,$INSTALL_DATA,;t t 16948s,@INSTALL_DATA@,$INSTALL_DATA,;t t
16932s,@AWK@,$AWK,;t t 16949s,@AWK@,$AWK,;t t
16933s,@LINKER@,$LINKER,;t t 16950s,@LINKER@,$LINKER,;t t
16934s,@CXXCPP@,$CXXCPP,;t t 16951s,@CXXCPP@,$CXXCPP,;t t
16935s,@EGREP@,$EGREP,;t t 16952s,@EGREP@,$EGREP,;t t
16936s,@build@,$build,;t t
16937s,@build_cpu@,$build_cpu,;t t
16938s,@build_vendor@,$build_vendor,;t t
16939s,@build_os@,$build_os,;t t
16940s,@host@,$host,;t t
16941s,@host_cpu@,$host_cpu,;t t
16942s,@host_vendor@,$host_vendor,;t t
16943s,@host_os@,$host_os,;t t
16944s,@LN_S@,$LN_S,;t t 16953s,@LN_S@,$LN_S,;t t
16945s,@ECHO@,$ECHO,;t t 16954s,@ECHO@,$ECHO,;t t
16946s,@RANLIB@,$RANLIB,;t t 16955s,@RANLIB@,$RANLIB,;t t
16947s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t 16956s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
16948s,@STRIP@,$STRIP,;t t 16957s,@STRIP@,$STRIP,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines